Bug 491737 - lvdisplay -v --maps does not show correct extent mapping
lvdisplay -v --maps does not show correct extent mapping
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-23 15:21 EDT by Rick Stevens
Modified: 2009-12-18 07:08 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:05:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Stevens 2009-03-23 15:21:04 EDT
Description of problem:

In the (fairly common case) of having two drives with identical VG and LV names (e.g. when someone puts an old drive into a machine to get the data off it), ideally you'd like to be able to rename the VG of the one of the drives.  Problem is, you can't really tell which drive the system booted off.  In one case, a client had both /dev/sda2 and /dev/sdb2 as PVs belonging to VolGroup00 and LogVol00.  Note that sda2 belonged to the actually booted system and sdb2 belonged to the "secondary" drive.  In this case, an "lvdisplay -v --maps" shows the active extents as being on /dev/sdb2 when, in reality, they are on
/dev/sda2.

Version-Release number of selected component (if applicable):

[root@prophead ~]# lvdisplay --version
  LVM version:     2.02.39 (2008-06-27)
  Library version: 1.02.27 (2008-06-25)
  Driver version:  4.14.0

How reproducible:

Consistently

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Segments are displayed as being on the wrong PV

Expected results:

Segments should be displayed on the correct PV

Additional info:

The primary reason for reporting this bug is to permit one to modify an LVM layout.  The tools should be aware of the fact that, even though there are two VolGroup00s on this system, they do NOT have the same UUID and should be either flagged as duplicates or given some special notation (e.g. "VolGroup00-1").

It would also be of great use to be able to specify the entity you're modifying by UUID as well as the name (e.g. in "vgreduce", be able to refer to the VG you're trying to modify by name or UUID, to cover cases where there are two drives with duplicate VG names).

As the tools stand now, it is dangerous to try to change the VG of an unused PV simply because you don't know if the PV is in use or not.
Comment 1 Peter Rajnoha 2009-03-24 08:27:22 EDT
Could you please check once again that the PV reported is really confused? E.g. try to check the "PV UUID" and "PV name" field in the output of "pvdisplay" command before and after attaching the second drive. It's possible that the drive nodes in /dev directory were reordered, but the PV name is not important in this case (it's just a hint), the PV UUID is the information that is taken into account. Thanks.
Comment 2 Bug Zapper 2009-11-18 06:35:22 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 04:05:41 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Alasdair Kergon 2009-12-18 07:08:50 EST
Also, vgrename does accept the VG UUID so you can rename one of the VGs to something unique.

Note You need to log in before you can comment on or make changes to this bug.